com.amazonaws.services.simpleworkflow.model

## Class TagFilter

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.TagFilter

All Implemented Interfaces:
  Serializable, Cloneable

    public class TagFilter
    extends Object
    implements Serializable, Cloneable

Used to filter the workflow executions in visibility APIs based on a tag.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TagFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TagFilter` `clone()`
`boolean` `equals(Object obj)`
`String` `getTag()` Required. Specifies the tag that must be associated with the execution for it to meet the filter criteria.
`int` `hashCode()`
`void` `setTag(String tag)` Required. Specifies the tag that must be associated with the execution for it to meet the filter criteria.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TagFilter` `withTag(String tag)` Required. Specifies the tag that must be associated with the execution for it to meet the filter criteria.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TagFilter

    public TagFilter()

### Method Detail

#### setTag

    public void setTag(String tag)

Required. Specifies the tag that must be associated with the execution for it to meet the filter criteria.

Parameters:
  `tag` - Required.

#### getTag

    public String getTag()

Required. Specifies the tag that must be associated with the execution for it to meet the filter criteria.

Returns:
  Required.

#### withTag

    public TagFilter withTag(String tag)

Required. Specifies the tag that must be associated with the execution for it to meet the filter criteria.

Parameters:
  `tag` - Required.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TagFilter clone()

Overrides:
  `clone` in class `Object`